Bug 521995 - New Package for Dogtag PKI:pki-java-tools
New Package for Dogtag PKI:pki-java-tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Dogtag-to-Fedora
  Show dependency treegraph
 
Reported: 2009-09-08 21:56 EDT by Kevin Wright
Modified: 2015-07-13 00:56 EDT (History)
10 users (show)

See Also:
Fixed In Version: 1.3.0-4.el5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 18:33:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Wright 2009-09-08 21:56:36 EDT
first pass at getting pki-java-tools into Fedora.
Comment 1 Kevin Wright 2009-09-10 14:38:23 EDT
The spec file can be downloaded from:

http://people.redhat.com/kwright/pki-java-tools/pki-java-tools.spec

The source rpm can be downloaded from:

http://people.redhat.com/kwright/pki-java-tools/pki-java-tools-1.3.0-1.fc11.src.rpm

Removing the NotReady flag from the Whiteboard.
Comment 2 Kevin Wright 2009-09-11 14:30:54 EDT
Description:

Dogtag is an enterprise software system designed
to manage enterprise Public Key Infrastructure (PKI) deployments.

These platform-independent PKI executables are used to help make
Dogtag into a more complete and robust PKI solution.
Comment 4 Kevin Wright 2009-11-17 18:42:10 EST
* Mon Nov 16 2009 Kevin Wright <kwright@redhat.com> 1.3.0-2
- Bugzilla Bug #521995 - Packaging for Fedora Dogtag PKI
- Take ownership of directories

Spec URL:
http://people.redhat.com/kwright/pki-java-tools/pki-java-tools.spec

SRPM URL:
http://people.redhat.com/kwright/pki-java-tools/pki-java-tools-1.3.0-2.fc11.src.rpm
Comment 5 Kevin Wright 2009-11-25 19:04:36 EST
* Tue Nov 24 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
- Bugzilla Bug #521995 - Packaging for Fedora Dogtag PKI
- Use "_javadir" macro when appropriate
- Move jar file to top-level

Spec URL:
http://people.redhat.com/kwright/pki-java-tools/pki-java-tools.spec

SRPM URL:
http://people.redhat.com/kwright/pki-java-tools/pki-java-tools-1.3.0-3.fc11.src.rpm
Comment 6 Kevin Wright 2009-12-15 14:31:21 EST
* Mon Dec 14 2009 Kevin Wright <kwright@redhat.com> 1.3.0-4
- Removed 'with exceptions' from License

Spec URL:
http://people.redhat.com/kwright/pki-java-tools/pki-java-tools.spec

SRPM URL:
http://people.redhat.com/kwright/pki-java-tools/pki-java-tools-1.3.0-4.fc11.src.rpm
Comment 7 Parag AN(पराग) 2009-12-23 05:33:28 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1887819
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
f8e9e4d1230ed80cfe38a5f28b5e96dc655ba54c  pki-java-tools-1.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application


Suggestions:
1) don't forget to change defattr of javadoc subpackage to
%defattr(-,root,root,-)

2) again why this package have
Requires:       pki-native-tools
though this is not a blocker.

APPROVED.
Comment 8 Kevin Wright 2009-12-23 14:59:15 EST
New Package CVS Request
=======================
Package Name: pki-native-tools
Short Description: The Dogtag PKI Java Tools
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil
Comment 9 Kevin Wright 2009-12-23 15:07:43 EST
(fixing the short description)

New Package CVS Request
=======================
Package Name: pki-native-tools
Short Description: The Dogtag PKI Native Tools
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil
Comment 10 Kevin Wright 2009-12-23 15:13:48 EST
ugh! back to the first description:

Short Description: The Dogtag PKI Java Tools
Comment 11 Kevin Fenzi 2009-12-24 02:07:28 EST
Sigh. I processed this without checking... you meant pki-java-tools here for the package name?

Can you post a fully correct version ? 

I think I fixed pki-native-tools back, if not let me know.
Comment 12 Kevin Wright 2009-12-24 12:09:19 EST
corrected package name:

New Package CVS Request
=======================
Package Name: pki-java-tools
Short Description: The Dogtag PKI Java Tools
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil
Comment 13 Parag AN(पराग) 2009-12-29 01:54:44 EST
I don't see fedora-cvs? flag requested yet here. Please set it.
Comment 14 Kevin Fenzi 2010-01-02 15:19:47 EST
cvs done.
Comment 15 Fedora Update System 2010-01-05 13:16:33 EST
pki-java-tools-1.3.0-4.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-java-tools-1.3.0-4.el5.1
Comment 16 Fedora Update System 2010-01-05 17:30:25 EST
pki-java-tools-1.3.0-4.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-java-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0009
Comment 17 Fedora Update System 2010-01-08 18:53:18 EST
pki-java-tools-1.3.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-java-tools-1.3.0-4.fc11
Comment 18 Fedora Update System 2010-01-08 18:55:56 EST
pki-java-tools-1.3.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-java-tools-1.3.0-4.fc12
Comment 19 Fedora Update System 2010-01-12 18:33:26 EST
pki-java-tools-1.3.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-01-12 18:50:50 EST
pki-java-tools-1.3.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-01-21 18:32:36 EST
pki-java-tools-1.3.0-4.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.